Skip to main content
GET
/
api
/
v1
/
exposure
/
cves
CVEs
curl --request GET \
  --url https://api.defendis.ai/api/v1/exposure/cves \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "cve_id": "CVE-2024-0001",
      "base_severity": "HIGH",
      "match_status": "confirmed",
      "matched_assets": []
    }
  ],
  "paging": {
    "totalPages": 1,
    "totalRecords": 1,
    "currentPage": 1,
    "pageSize": 20,
    "hasMore": false,
    "nextPage": null
  }
}

Authorizations

Authorization
string
header
required

Required for all /api/v1 endpoints. Use Authorization: Bearer <api_key>

Query Parameters

domainId
integer
domain
string
watchlistId
string
scanRunId
string
versionScope
string
assetId
string
sourceHost
string
matchStatus
string
page
integer

Response

200 - application/json

CVEs response

The response is of type object.